LibreOffice: DatabaseAccessContext Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
DatabaseAccessContext Service Referencepublished

is the context for data access beans. More...

Inheritance diagram for DatabaseAccessContext:

## Exported Interfaces
interface | com::sun::star::container::XEnumerationAccess
| Enumeration on all registered data sources for a default locale.
interface | com::sun::star::container::XNameAccess
| NameAccess on all registered data sources for a default locale.
interface | com::sun::star::util::XLocalizedAliases
| Interface for registering aliases for data sources.
interface | com::sun::star::lang::XLocalizable
| Interface for setting and retrieving the default language.

## Additional Inherited Members
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XLocalizedAliases
void | bindAlias ([in]string programmaticName, [in]com::sun::star::lang::Locale locale, [in]string alias) raises (com::sun::star::container::ElementExistException)
| registers an alias for a programmatic name.
void | unbindAlias ([in]com::sun::star::lang::Locale locale, [in]string alias) raises (com::sun::star::container::NoSuchElementException)
| revokes an alias for a programmatic name.
string | lookupAlias ([in]com::sun::star::lang::Locale locale, [in]string Alias) raises (com::sun::star::container::NoSuchElementException)
| retrieves a registered programmatic name identified by an alias.
string | lookupProgrammatic ([in]com::sun::star::lang::Locale locale, [in]string programmatic) raises (com::sun::star::container::NoSuchElementException)
| retrieves a given alias for a programmatic name.
void | unbindAliases ([in]string programmaticName) raises (com::sun::star::container::NoSuchElementException)
| removes all aliases for a programmatic name.
void | rebindAliases ([in]string currentProgrammatic, [in]string newProgrammatic) raises (com::sun::star::container::NoSuchElementException, com::sun::star::container::ElementExistException)
| rebinds all aliases registered to a given URL to a new one.
void | renameAlias ([in]com::sun::star::lang::Locale locale, [in]string oldName, [in]string aNewName) raises (com::sun::star::container::NoSuchElementException, com::sun::star::container::ElementExistException)
| renames an alias for a programmatic name.
sequence< AliasProgrammaticPair > | listAliases ([in]com::sun::star::lang::Locale locale)
| retrieves a list of all registered aliases for a certain language.
Public Member Functions inherited from XLocalizable
void | setLocale ([in] Locale eLocale)
| sets the locale to be used by this object.
Locale | getLocale ()

## Detailed Description

is the context for data access beans.

It allows to register aliases for database access beans. It is possible to have different aliases for different locales.

A DatabaseContext stores an alias for the URL of a database access component for a given locale. It is also allowed to work with a default locale. This is useful in connection with Enumeration or NameAccess to the context. In common use, the default language is set during the initialization of the component.

The service also provides a default handling for locales, where an alias isn't set. The first time an alias is registered for a programmatic name, the alias becomes the default for all other known locales.

See also
  com::sun::star::util::XLocalizedAliases

Deprecated:

## Exported Interfaces

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

Enumeration on all registered data sources for a default locale.

## ◆ com::sun::star::container::XNameAccess

interface com::sun::star::container::XNameAccess

NameAccess on all registered data sources for a default locale.

## ◆ com::sun::star::lang::XLocalizable

interface com::sun::star::lang::XLocalizable

Interface for setting and retrieving the default language.

## ◆ com::sun::star::util::XLocalizedAliases

interface com::sun::star::util::XLocalizedAliases

Interface for registering aliases for data sources.

The documentation for this service was generated from the following file:

- com/sun/star/sdb/DatabaseAccessContext.idl